
QGIS Application - Bug report #2128

basic statistics crash qgis

2009-11-20 10:30 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12188

Description

Activating the command Basic statistics from fTools on the attached layer crashes QGIS.

From the console:

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread                                                   

Warning: QObject::installEventFilter(): Cannot filter events for objects in a different thread.                          

Warning: QObject::installEventFilter(): Cannot filter events for objects in a different thread.                          

*** glibc detected *** /usr/bin/qgis.bin: double free or corruption (fasttop): 0x00000000017254d0 ***                    

h7. Backtrace:

/lib/libc.so.6[0x7ff533d90db6]                                                                                           

/lib/libc.so.6(cfree+0x6c)[0x7ff533d956fc]                                                                               

/usr/lib/libX11.so.6[0x7ff531dd3fae]                                                                                     

/usr/lib/libX11.so.6(_XReply+0x140)[0x7ff531dd45e0]                                                                      

/usr/lib/libX11.so.6(XTranslateCoordinates+0x9d)[0x7ff531dca0fd]                                                         

/usr/lib/libQtGui.so.4(_ZNK7QWidget13mapFromGlobalERK6QPoint+0xec)[0x7ff5370eebbc]                                       

/usr/lib/libQtGui.so.4(_ZNK7QWidget13mapFromGlobalERK6QPoint+0x159)[0x7ff5370eec29]                                      

/usr/lib/libQtGui.so.4(_ZNK7QWidget13mapFromGlobalERK6QPoint+0x159)[0x7ff5370eec29]                                      

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate18dispatchEnterLeaveEP7QWidgetS1_+0x28c)[0x7ff53706d1fc]                  

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate14enterModal_sysEP7QWidget+0x31)[0x7ff5370c3501]                          

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate10enterModalEP7QWidget+0x1bf)[0x7ff53706c32f]                             

/usr/lib/libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x225)[0x7ff5370bb1b5]                                         

/usr/lib/libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1ca)[0x7ff5370bb63a]                                                  

/usr/lib/libQtGui.so.4(_ZN7QDialog10setVisibleEb+0x5c)[0x7ff5374ef95c]                                                   

/usr/lib/libQtGui.so.4(_ZN7QDialog4execEv+0x95)[0x7ff5374eec35]                                                          

/usr/lib/python2.5/site-packages/qgis/core.so[0x7ff51a0ff205]                                                            

/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x4a5b)[0x7ff51b39569b]                                                  

/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5343)[0x7ff51b395f83]                                                  

/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x6b5)[0x7ff51b396bc5]                                                    

/usr/lib/libpython2.5.so.1.0[0x7ff51b32fc5e]                                                                             

/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x13)[0x7ff51b30d103]                                                         

/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x6e)[0x7ff51b38feee]                                         

/usr/lib/libpython2.5.so.1.0(PyErr_PrintEx+0xd1)[0x7ff51b3b5081]                                                         

/usr/lib/pymodules/python2.5/PyQt4/QtCore.so[0x7ff51ad78501]                                                             

/usr/lib/pymodules/python2.5/PyQt4/QtCore.so[0x7ff51ada00ff]                                                             

/usr/lib/libQtCore.so.4[0x7ff537b074a5]                                                                                  

/lib/libpthread.so.0[0x7ff534a2573a]                                                                                     

/lib/libc.so.6(clone+0x6d)[0x7ff533deb2fd]                                                                               
h7. Memory map:

00400000-007c1000 r-xp 00000000 08:01 1193123                            /usr/bin/qgis.bin                               

009c1000-009c9000 rw-p 003c1000 08:01 1193123                            /usr/bin/qgis.bin                               

009c9000-009cb000 rw-p 00000000 00:00 0                                                                                  

01605000-05513000 rw-p 00000000 00:00 0                                  [heap]                                          

7ff50a4f7000-7ff50ac61000 r--p 00000000 08:01 1260422                    /usr/share/fonts/truetype/kochi/kochi-gothic-subst.ttf           

                                                                                                       

7ff50ac61000-7ff50ac75000 r--p 00000000 08:01 670199                     /usr/share/fonts/type1/gsfonts/n019003l.pfb     

7ff50ac75000-7ff50acb9000 r--p 00000000 08:01 232945                     /usr/share/fonts/truetype/msttcorefonts/Arial.ttf

7ff50acb9000-7ff50ad45000 r--p 00000000 08:01 33503                      /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf

7ff50ad45000-7ff50ad46000 ---p 00000000 00:00 0

7ff50ad46000-7ff50b546000 rwxp 00000000 00:00 0

7ff50b546000-7ff50b547000 ---p 00000000 00:00 0

7ff50b547000-7ff50bd47000 rwxp 00000000 00:00 0

7ff50bd47000-7ff50c026000 rw-p 00000000 00:00 0

7ff50c026000-7ff50c02b000 r-xp 00000000 08:01 462643                     /lib/libnss_dns-2.10.1.so

7ff50c02b000-7ff50c22a000 ---p 00005000 08:01 462643                     /lib/libnss_dns-2.10.1.so

7ff50c22a000-7ff50c22b000 r--p 00004000 08:01 462643                     /lib/libnss_dns-2.10.1.so

7ff50c22b000-7ff50c22c000 rw-p 00005000 08:01 462643                     /lib/libnss_dns-2.10.1.so

7ff50c22c000-7ff50c22e000 r-xp 00000000 08:01 1044198                    /lib/libnss_mdns4_minimal.so.2

7ff50c22e000-7ff50c42d000 ---p 00002000 08:01 1044198                    /lib/libnss_mdns4_minimal.so.2

7ff50c42d000-7ff50c42e000 rw-p 00001000 08:01 1044198                    /lib/libnss_mdns4_minimal.so.2

7ff50c42e000-7ff50c42f000 ---p 00000000 00:00 0

7ff50c42f000-7ff50cc2f000 rwxp 00000000 00:00 0

7ff50cc2f000-7ff50cc48000 r-xp 00000000 08:01 244842                     /usr/lib/python2.5/lib-dynload/_ctypes.so

7ff50cc48000-7ff50ce47000 ---p 00019000 08:01 244842                     /usr/lib/python2.5/lib-dynload/_ctypes.so

7ff50ce47000-7ff50ce4b000 rw-p 00018000 08:01 244842                     /usr/lib/python2.5/lib-dynload/_ctypes.so

7ff50ce4b000-7ff50ce84000 r-xp 00000000 08:01 1385101                    /usr/lib/python2.5/site-packages/numpy/random/mtrand.so

7ff50ce84000-7ff50d083000 ---p 00039000 08:01 1385101                    /usr/lib/python2.5/site-packages/numpy/random/mtrand.so

7ff50d083000-7ff50d096000 rw-p 00038000 08:01 1385101                   

/usr/lib/python2.5/site-packages/numpy/random/mtrand.so

7ff50d096000-7ff50d09f000 r-xp 00000000 08:01 1385092                    /usr/lib/python2.5/site-packages/numpy/fft/fftpack_lite.so

7ff50d09f000-7ff50d29e000 ---p 00009000 08:01 1385092                    /usr/lib/python2.5/site-packages/numpy/fft/fftpack_lite.so

7ff50d29e000-7ff50d29f000 rw-p 00008000 08:01 1385092                    /usr/lib/python2.5/site-packages/numpy/fft/fftpack_lite.so

7ff50d29f000-7ff50d2a4000 r-xp 00000000 08:01 1385099                   

/usr/lib/python2.5/site-packages/numpy/linalg/lapack_lite.so

7ff50d2a4000-7ff50d4a4000 ---p 00005000 08:01 1385099                   

/usr/lib/python2.5/site-packages/numpy/linalg/lapack_lite.so

7ff50d4a4000-7ff50d4a5000 rw-p 00005000 08:01 1385099                   

/usr/lib/python2.5/site-packages/numpy/linalg/lapack_lite.so

7ff50d4a5000-7ff50d4a9000 r-xp 00000000 08:01 1385091                   

/usr/lib/python2.5/site-packages/numpy/lib/_compiled_base.so

7ff50d4a9000-7ff50d6a9000 ---p 00004000 08:01 1385091                   

/usr/lib/python2.5/site-packages/numpy/lib/_compiled_base.so

7ff50d6a9000-7ff50d6aa000 rw-p 00004000 08:01 1385091                   

/usr/lib/python2.5/site-packages/numpy/lib/_compiled_base.so

7ff50d6aa000-7ff50d6cf000 r-xp 00000000 08:01 1385096                   

/usr/lib/python2.5/site-packages/numpy/core/scalarmath.so

7ff50d6cf000-7ff50d8cf000 ---p 00025000 08:01 1385096                    /usr/lib/python2.5/site-packages/numpy/core/scalarmath.so

7ff50d8cf000-7ff50d8d1000 rw-p 00025000 08:01 1385096                   

/usr/lib/python2.5/site-packages/numpy/core/scalarmath.so

7ff50d8d1000-7ff50d8e4000 r-xp 00000000 08:01 246307                     /usr/lib/python2.5/lib-dynload/cPickle.so
7ff50d8e4000-7ff50dae3000 ---p 00013000 08:01 246307                     /usr/lib/python2.5/lib-dynload/cPickle.so

7ff50dae3000-7ff50dae5000 rw-p 00012000 08:01 246307                     /usr/lib/python2.5/lib-dynload/cPickle.so

7ff50dae5000-7ff50daea000 r-xp 00000000 08:01 1385094                    /usr/lib/python2.5/site-packages/numpy/core/_dotblas.so

7ff50daea000-7ff50dce9000 ---p 00005000 08:01 1385094                    /usr/lib/python2.5/site-packages/numpy/core/_dotblas.so

7ff50dce9000-7ff50dcea000 rw-p 00004000 08:01 1385094                   

/usr/lib/python2.5/site-packages/numpy/core/_dotblas.soAbortito

Associated revisions

Revision 17d142d0 - 2009-11-28 09:03 PM - Jürgen Fischer

fix #2128

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12277 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 0bdc395f - 2009-11-28 09:03 PM - Jürgen Fischer

fix #2128

git-svn-id: http://svn.osgeo.org/qgis/trunk@12277 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-11-20 10:35 AM - Paolo Cavallini

file too large to attach it here - find it here for a while:

http://int.faunalia.it/~paolo/province.zip

#2 - 2009-11-22 03:04 AM - Giovanni Manghi

moreover the "check geometry" tool seems to go nowhere when used on this vector (but it doesn't crash nor freezes qgis).

#3 - 2009-11-28 12:06 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 lutra]:

moreover the "check geometry" tool seems to go nowhere when used on this vector (but it doesn't crash nor freezes qgis).

the crash is gone in commit:0bdc395f (SVN r12278).  And AFAICS check geometry is just incredibly slow - seem to hang at 3%, but it's still.  I'm at 10%

now - 3rd feature and counting...
